<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Nelin {% block title %}
    {% endblock %}</title>
    {% load static %}
    <link href="{% static "bootstrap/css/bootstrap.css" %}" rel="stylesheet">
    <link href="{% static "css/nelin.css" %}" rel="stylesheet">
    <script defer src="https://use.fontawesome.com/releases/v5.5.0/js/all.js"
            integrity="sha384-GqVMZRt5Gn7tB9D9q7ONtcp4gtHIUEW/yG7h98J7IpE3kpi+srfFyyB/04OV6pG0"
            crossorigin="anonymous"></script>
    <script src="{% static "js/jquery-3.3.1.min.js" %}"></script>
    <script src="{% static "bootstrap/js/bootstrap.js" %}"></script>
    <script src="{% static "js/page_load_proress.js" %}"></script>

</head>

<body>

<nav class="navbar navbar-expand-md navbar-light bg-light mb-4">
    <a class="navbar-brand" href="{% url "members:login" %}">Nelin</a>

    {% if request.user.is_authenticated %}
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse"
                aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="nav navbar-nav mr-auto">
            <li class="nav-item {% if is_profile %}active{% endif %}">
                <a class="nav-link " href="{% url "members:profile" request.user.username %}">Profile </a>
            </li>
            <li class="nav-item {% if is_friends %}active{% endif %}">
                <a class="nav-link" href="{% url "members:friends_view" request.user.username %}">Friends </a>
            </li>
            <li class="nav-item {% if is_discussion %}active{% endif %}">
                <a class="nav-link" href="{%  url "discussions:discussion_view"  %}">Discussions </a>
            </li>
        </ul>
        <div class="signout float-right">
                <a class="nav-link " href="{% url "members:logout" %}"><i class="fas fa-sign-out-alt"></i></a>
            </div>
    {% endif %}

</nav>

{% csrf_token %}
<script>
    // globally used variables
    const csrftoken = jQuery("[name=csrfmiddlewaretoken]").val();
    const formateDate = (date_value)=>{
        date = new Date(date_value);
        return `${date.getFullYear()}-${date.getMonth()}-${date.getDate()} ${date.getHours()}:${date.getMinutes()}:${date.getSeconds()}`;
    };

    const creatreUserProfileUrl = (username)=>{return '{% url "members:profile" ":username:" %}'.replace(':username:',username)};
    const creatreDiscussionUrl = (discussion_id)=>{return '{% url "discussions:discussion" ":discussion:" %}'.replace(':discussion:',discussion_id)};
    const isOwner  = (username)=>{
        const currentUsername ='{{ request.user.username }}';
        return username && currentUsername && username === currentUsername;
    };

</script>

{% block content %}
{% endblock %}

</body>
</html>